View Issue Details

IDProjectCategoryView StatusLast Update
0003303gnunet-gtkgnunet-conversation-gtkpublic2014-04-08 16:41
ReporterharkAssigned Toyids 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.10.1Fixed in Version0.10.1 
Summary0003303: conversation-gtk crashes when restarting gnunet
Description(gdb) backtrace
#0 0x00007ffff3fb8475 in *__GI_raise (sig=<optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1 0x00007ffff3fbb6f0 in *__GI_abort () at abort.c:92
#2 0x00007ffff3ff352b in __libc_message (do_abort=<optimized out>, fmt=<optimized out>)
    at ../sysdeps/unix/sysv/linux/libc_fatal.c:189
#3 0x00007ffff3ffcd76 in malloc_printerr (action=3, str=0x7ffff40d1b9c "free(): invalid pointer",
    ptr=<optimized out>) at malloc.c:6283
#4 0x00007ffff4001aac in *__GI___libc_free (mem=<optimized out>) at malloc.c:3738
#5 0x0000000000404809 in identity_cb (cls=0x6083, ego=0x832fd0, ctx=0x6,
    name=0xffffffffffffffff <Address 0xffffffffffffffff out of bounds>) at gnunet-conversation-gtk.c:1038
#6 0x00007ffff74c8ff7 in message_handler (cls=cls@entry=0x833c30, msg=msg@entry=0x7fffffffe230)
    at identity_api.c:377
#7 0x00007ffff76df777 in receive_task (cls=0x832f50, tc=<optimized out>) at client.c:595
#8 0x00007ffff770be41 in run_ready (ws=0x623050, rs=0x622fc0) at scheduler.c:595
#9 GNUNET_SCHEDULER_run (task=task@entry=0x7ffff7707130 <program_main>,
    task_cls=task_cls@entry=0x7fffffffe3e0) at scheduler.c:817
#10 0x00007ffff77078b2 in GNUNET_PROGRAM_run2 (argc=<optimized out>, argc@entry=1, argv=0x7fffffffe728,
    binaryName=binaryName@entry=0x407305 "gnunet-conversation-gtk",
    binaryHelp=binaryHelp@entry=0x407327 "GTK GUI for conversation", options=options@entry=0x609760,
    task=task@entry=0x7ffff7bd9220 <run_main_loop>, task_cls=task_cls@entry=0x7fffffffe5a0,
    run_without_scheduler=run_without_scheduler@entry=0) at program.c:302
#11 0x00007ffff7707bea in GNUNET_PROGRAM_run (argc=argc@entry=1, argv=<optimized out>,
    binaryName=binaryName@entry=0x407305 "gnunet-conversation-gtk",
    binaryHelp=binaryHelp@entry=0x407327 "GTK GUI for conversation", options=options@entry=0x609760,
    task=task@entry=0x7ffff7bd9220 <run_main_loop>, task_cls=task_cls@entry=0x7fffffffe5a0) at program.c:341
#12 0x00007ffff7bda09f in GNUNET_GTK_main_loop_start (
    binary_name=binary_name@entry=0x407305 "gnunet-conversation-gtk",
    binary_help=binary_help@entry=0x407327 "GTK GUI for conversation", argc=1, argv=<optimized out>,
    options=options@entry=0x609760,
    main_window_file=main_window_file@entry=0x407bb0 "gnunet_conversation_gtk_main_window.glade",
    main_task=main_task@entry=0x4055d0 <run>) at eventloop.c:991
#13 0x0000000000403c2c in main (argc=<optimized out>, argv=<optimized out>) at gnunet-conversation-gtk.c:1291
Steps To Reproducestart conversation-gtk,

stop gnunet
gnunet-arm -e

and start gnunet again
gnunet-arm -s
TagsNo tags attached.

Activities

hark

2014-02-03 20:56

reporter   ~0008055

again GNUNET_free (ego_name);

fixed

Issue History

Date Modified Username Field Change
2014-02-03 20:24 hark New Issue
2014-02-03 20:24 hark Status new => assigned
2014-02-03 20:24 hark Assigned To => yids
2014-02-03 20:56 hark Note Added: 0008055
2014-02-13 05:42 hark Status assigned => resolved
2014-02-13 05:42 hark Resolution open => fixed
2014-03-04 22:58 Christian Grothoff Product Version => SVN HEAD
2014-03-04 22:58 Christian Grothoff Fixed in Version => 0.10.1
2014-03-04 22:58 Christian Grothoff Target Version => 0.10.1
2014-04-08 16:41 Christian Grothoff Status resolved => closed